Subject: Re: bug#13474: 24.3.50; Changing vertical-border face affects non-toolkit scroll bar

From: [email-masked]
Date: Mon, 31 May 2021 22:47:59 +0200

On Mon, 31 May 2021 09:21:03 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 0. configure --without-toolkit-scroll-bars && make
>> 1. emacs -Q
>> 2. C-x 3
>> 3. M-x scroll-bar-mode
>> 4. M-: (set-face-attribute 'vertical-border nil :foreground "green")
>>    As expected, now the border line between the windows is green.
>> 5. M-x scroll-bar-mode
>>    Unexpectedly, now the scroll bars are green.
>
> (I'm going through old bug reports that unfortunately got little response at
> the time.)
>
> I tried reproducing this with Emacs 28 on Debian/bullseye, but I was
> unable to.  Are you still seeing this issue in recent versions of Emacs?

Thanks for looking at this.  No, I don't see this with Emacs 28 either,
so it was apparently fixed since Emacs 24.3 and I'm closing this bug.

Steve Berman